> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Text Channels

> Retrieves the text channels available on the account (for example SMS-capable numbers or WhatsApp accounts). Use a returned channelId as the TextChannelId of the inbound/outbound settings when creating or updating a text Pearl.



## OpenAPI

````yaml get /v2/Account/TextChannels
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v2
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
tags:
  - name: Pearl
    description: >-
      Manage your Pearls, the AI agents that handle your inbound and outbound
      calls. Create and configure Pearls, retrieve their details and settings,
      run or pause them, list and bulk-export their calls, monitor calls in
      progress, get analytics, and reset a customer's conversation memory.
paths:
  /v2/Account/TextChannels:
    get:
      tags:
        - Account
      summary: Get Text Channels
      description: >-
        Retrieves the text channels available on the account (for example
        SMS-capable numbers or WhatsApp accounts). Use a returned channelId as
        the TextChannelId of the inbound/outbound settings when creating or
        updating a text Pearl.
      responses:
        '200':
          description: The list of text channels for the account.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TextChannelViewApi'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TextChannelViewApi'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TextChannelViewApi'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    TextChannelViewApi:
      type: object
      properties:
        channel:
          allOf:
            - $ref: '#/components/schemas/eTextMessageChannel'
          description: |+
            `1 - TwilioSMS`

            `2 - WhatsApp`

            `3 - Telegram`

            `5 - TestBrowser`

        channelId:
          type: string
          description: >-
            The channel ID. Use this value as the TextChannelId when creating or
            updating a text Pearl.
          nullable: true
        displayName:
          type: string
          description: >-
            Human-readable name of the channel (for example the phone number or
            the WhatsApp account name).
          nullable: true
      additionalProperties: false
      description: >-
        A text channel available on the account. Use its ChannelId as the
        TextChannelId of the text inbound/outbound settings.
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    eTextMessageChannel:
      type: integer
      description: |+
        `1 - TwilioSMS`

        `2 - WhatsApp`

        `3 - Telegram`

        `5 - TestBrowser`

      format: int32
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````